import axios from 'axios'

axios.defaults.baseURL = "/work/"
axios.defaults.timeout = 30000

// 路由请求拦截
// http request 拦截器
axios.interceptors.request.use(
    config => {
        console.log('发送请求拦截');
        console.log('cookie:', document.cookie.split('=')[1]);
        // document.cookie = document.cookie.split('=')[1]
        config.headers['X-CSRFToken'] = document.cookie.split('=')[1]

        return config;
    },
    error => {
        return Promise.reject(error.response);
    }
);

axios.interceptors.response.use(
    response => {
        console.log('接受请求拦截');
        return response;
    },
    err => {
        new Error('列表信息请求错误')
        console.log(err);
    }
)

export default axios